Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1251799 - [abrt] gnome-software: g_realloc(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_realloc(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:29cf8230e99ccda627172040f26...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-10 01:38 UTC by Onyeibo Oku
Modified: 2015-10-09 06:14 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-08-10 01:38 UTC, Onyeibo Oku
no flags Details
File: cgroup (deleted)
2015-08-10 01:38 UTC, Onyeibo Oku
no flags Details
File: core_backtrace (deleted)
2015-08-10 01:38 UTC, Onyeibo Oku
no flags Details
File: dso_list (deleted)
2015-08-10 01:38 UTC, Onyeibo Oku
no flags Details
File: environ (deleted)
2015-08-10 01:38 UTC, Onyeibo Oku
no flags Details

Description Onyeibo Oku 2015-08-10 01:38:07 UTC
Version-Release number of selected component:
gnome-software-3.17.2-3.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_realloc
executable:     /usr/bin/gnome-software
global_pid:     2629
kernel:         4.2.0-0.rc5.git2.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_realloc at gmem.c:162
 #5 g_string_maybe_expand at gstring.c:102
 #6 g_string_append_vprintf at gstring.c:1164
 #7 g_string_append_printf at gstring.c:1264
 #8 gs_app_to_string at gs-app.c:249
 #9 gs_shell_details_app_refine_cb at gs-shell-details.c:864
 #10 g_task_return_now at gtask.c:1104
 #11 complete_in_idle_cb at gtask.c:1118
 #15 g_main_context_iteration at gmain.c:3869
 #16 g_application_run at gapplication.c:2311

Comment 1 Onyeibo Oku 2015-08-10 01:38:16 UTC
Created attachment 1060879 [details]
File: backtrace

Comment 2 Onyeibo Oku 2015-08-10 01:38:17 UTC
Created attachment 1060880 [details]
File: cgroup

Comment 3 Onyeibo Oku 2015-08-10 01:38:19 UTC
Created attachment 1060881 [details]
File: core_backtrace

Comment 4 Onyeibo Oku 2015-08-10 01:38:22 UTC
Created attachment 1060882 [details]
File: dso_list

Comment 5 Onyeibo Oku 2015-08-10 01:38:23 UTC
Created attachment 1060883 [details]
File: environ

Comment 6 Fedora Update System 2015-10-07 13:20:56 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 7 Fedora Update System 2015-10-07 16:27:10 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 8 Fedora Update System 2015-10-09 06:13:56 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.